Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package reflect
  Definition Classes
    tools
- Eval
- FastTrack
- FormatInterpolator
- FrontEnd
- ReflectGlobal
- ReflectMain
- StdContextTags
- StdRuntimeTags
- StdTags
- ToolBox
- ToolBoxError
- ToolBoxFactory
- WrappedProperties

o

scala.tools.reflect

# ReflectMain 

###

#### object ReflectMain extends Driver

Source
  ReflectMain.scala

Linear Supertypes
Driver, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ReflectMain
2. Driver
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
6.  var command: CompilerCommand
   Attributes
     protected
   Definition Classes
     Driver
7.  def doCompile(compiler: Global): Unit
   Attributes
     protected
   Definition Classes
     Driver
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
10.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
11.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
12.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  def main(args: Array[String]): Unit
    Definition Classes
      Driver
15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def newCompiler(): Global
    Definition Classes
      ReflectMain → Driver
17.  final def notify(): Unit
    Definition Classes
      AnyRef
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
19.  def process(args: Array[String]): Boolean
    Definition Classes
      Driver
20.  def processSettingsHook(): Boolean

    True to continue compilation.

    True to continue compilation.

    Attributes
      protected
    Definition Classes
      Driver
21.  val prompt: String
    Definition Classes
      Driver
22.  var reporter: Reporter
    Definition Classes
      Driver
23.  def scalacError(msg: String): Unit

    Forward errors to the (current) reporter.

    Forward errors to the (current) reporter.

    Attributes
      protected
    Definition Classes
      Driver
24.  var settings: Settings
    Attributes
      protected
    Definition Classes
      Driver
25.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
26.  def toString(): String
    Definition Classes
      AnyRef → Any
27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
28.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
29.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Driver

### Inherited from AnyRef

### Inherited from Any

### Ungrouped